---
title: llarp/layers/flow/flow_layer.hpp

---

# llarp/layers/flow/flow_layer.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::layers](Namespaces/namespacellarp_1_1layers.md)**  |
| **[llarp::layers::flow](Namespaces/namespacellarp_1_1layers_1_1flow.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| class | **[llarp::layers::flow::FlowLayer_Base](Classes/classllarp_1_1layers_1_1flow_1_1FlowLayer__Base.md)** <br>flow layer's context that holds all the things in the flow layer  |




## Source code

```cpp
#pragma once

#include "flow_identity.hpp"
#include "flow_tag.hpp"

namespace llarp::layers::flow
{

  class FlowLayer_Base
  {
   public:
    FlowIdentity&
    get_source_for(const flow::FlowTag& tag);
  };
}  // namespace llarp::layers::flow
```


-------------------------------

Updated on 2023-01-27 at 20:09:05 +0000
