---
title: llarp::layers::platform::PlatformDriver_pimpl

---

# llarp::layers::platform::PlatformDriver_pimpl





## Public Functions

|                | Name           |
| -------------- | -------------- |
| [flow::FlowLayer_Base](Classes/classllarp_1_1layers_1_1flow_1_1FlowLayer__Base.md) & | **[flow_layer](Classes/classllarp_1_1layers_1_1platform_1_1PlatformDriver__pimpl.md#function-flow-layer)**() |
| std::shared_ptr< [NameResolverJob_Base](Classes/classllarp_1_1layers_1_1platform_1_1NameResolverJob__Base.md) > | **[make_resolver_job_for](Classes/classllarp_1_1layers_1_1platform_1_1PlatformDriver__pimpl.md#function-make-resolver-job-for)**(UnresolvedName_t name) |
| bool | **[put_exit_up](Classes/classllarp_1_1layers_1_1platform_1_1PlatformDriver__pimpl.md#function-put-exit-up)**()<br>put up the exit fire wall rules.  |
| void | **[put_exit_down](Classes/classllarp_1_1layers_1_1platform_1_1PlatformDriver__pimpl.md#function-put-exit-down)**()<br>put exit firewall rules down.  |
| | **[PlatformDriver_pimpl](Classes/classllarp_1_1layers_1_1platform_1_1PlatformDriver__pimpl.md#function-platformdriver-pimpl)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & router) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [AddrMapper](Classes/classllarp_1_1layers_1_1platform_1_1AddrMapper.md) | **[addr_mapper](Classes/classllarp_1_1layers_1_1platform_1_1PlatformDriver__pimpl.md#variable-addr-mapper)**  |

## Public Functions Documentation

### function flow_layer

```cpp
inline flow::FlowLayer_Base & flow_layer()
```


### function make_resolver_job_for

```cpp
inline std::shared_ptr< NameResolverJob_Base > make_resolver_job_for(
    UnresolvedName_t name
)
```


### function put_exit_up

```cpp
inline bool put_exit_up()
```

put up the exit fire wall rules. 

return true if we put them up successfully. 


### function put_exit_down

```cpp
inline void put_exit_down()
```

put exit firewall rules down. 

### function PlatformDriver_pimpl

```cpp
inline PlatformDriver_pimpl(
    AbstractRouter & router
)
```


## Public Attributes Documentation

### variable addr_mapper

```cpp
AddrMapper addr_mapper;
```


-------------------------------

Updated on 2023-01-27 at 20:09:05 +0000