---
title: llarp::layers::Layers
summary: a holder type that abstracts out how lokinet works at each layer. 

---

# llarp::layers::Layers



a holder type that abstracts out how lokinet works at each layer. 


`#include <layers.hpp>`

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::unique_ptr< [platform::PlatformLayer](Classes/classllarp_1_1layers_1_1platform_1_1PlatformLayer.md) > | **[platform](Classes/structllarp_1_1layers_1_1Layers.md#variable-platform)**  |
| std::unique_ptr< [flow::FlowLayer_Base](Classes/classllarp_1_1layers_1_1flow_1_1FlowLayer__Base.md) > | **[flow](Classes/structllarp_1_1layers_1_1Layers.md#variable-flow)**  |

## Public Attributes Documentation

### variable platform

```cpp
std::unique_ptr< platform::PlatformLayer > platform;
```


### variable flow

```cpp
std::unique_ptr< flow::FlowLayer_Base > flow;
```


-------------------------------

Updated on 2023-01-27 at 20:09:05 +0000